New release - 20150214


#1

Some work was done on the SDL2 support, namely the full screen support. There’s still a lot more work required before it is stable though. Once that happens I plan on removing the SDL 1.2 support.

The OpenGL code has been changed to be compatible with OpenGL ES 1.0. The next release will require OpenGL 2.1 or OpenGL ES 2.0.

AvP Classic Redux was briefly tested. One possible crash was fixed – the original game was never intended to use such large assets, but there are likely other crashes out there.

Download the source code here:
http://icculus.org/avp/files/avp-20150214.tar.gz


#2

Thanks for information.

I need to check this new version of AvP.

Do you know if addons for AvP Classic Redux works with this version of AvP?